Description: Bonjour,

lorsque la réponse a 1 chiffre alors que je mets digit=2, les étudiants ne cochent que la premiére ligne

Par exemple, si la réponse est 5, ils codent 5 sur la ligne du haut et rien sur celle du bas.
AMC comprend 50 et non 5. Ce serait bien de pouvoir faire comprendre a AMC que la réponse est juste

Voici le message sur le forum d'aide ou Alexis Bienvenle a trouvé une solution temporaire mais susceptible
de ne pas fonctionner par le futur. Il m'a demandé de faire une demande de fonctionnalité.
https://project.auto-multiple-choice.net/boards/4/topics/11845

History

12/08/2021 04:11 pm - Alexis Bienvenlie
- Status changed from New to In Progress

J'ai intégré la nouvelle option @ignoreblank@ de @\AMCnumericChoices@ qui modifie le baréme pour ignorer les lignes ou aucune case n'est cochée
: git:828f3239c¢7, actuellement dans la version de développement.
A partir de cette version vous ne devez plus utiliser le code proposé dans le forum, mais la commande suivante juste aprés @\begin{document}@ :

\AMCnumericOpts{ignoreblank}

(ou alors mettre cette option au cas par cas pour chague @\AMCnumericChoices@ ou ce comportement est souhaité)

12/08/2021 04:26 pm - Alexis Bienveniie
- Target version set to 1.6.0

12/09/2021 12:24 pm - Jean-Philippe Bartier
Merci pour la réactivité.

J'ai eu encore un certain nombre d'erreurs de codage de ce type ce matin. Je leur ai dit lorsqu'ils ont rendu leur copie et si j'ai eu le temps de regarder.

Sur 157 présents, j'ai regardé 20 copies, et ai vu 6 copies contenant cette (ancienne désormais) erreur !

12/10/2021 07:21 pm - Jean-Philippe Bartier
Bonsoir,
je viens de tester, et j'ai un souci pour le moment que je tente de résoudre.

Sans \AMCnumericOpts{ignoreblank}, AMC me compte bien toutes mes questions

Avec, AMC m'enléve une question dans le baréme.

Il reconnait la bonne réponse, mais met 0/0 quoiqu'il arrive.

Voici ma formule
\AMCnumericChoices{\fpeval{\a+\b*\d/100+\c*\e/100}}{digits=3,decimals=2,sign=true,scoreexact=1,scorewrong=0 }

J'essaie de comprendre ce qui ne marche pas (j'ai enlevé \fpeval{} mais rien ne change, j'ai modifie le scoreexactde 1.5a 1)
Notez que je n'ai pas ce méme souci sur mes autres questions en multx. La formule sans décimale marche, mais en remplacant le resultat par 3.21,

AMC ne marche pas non plus

Pour éviter ce souci, je peux mettre cela dans AMCnumérichoices dans chaque question. J'imagine qu'il faut mettre
{digits=3,decimals=2,sign=true,scoreexact=1,scorewrong=0,ignoreblank=true }

Visiblement, cela vient du souci des décimales (mes autres questions sont sans décimale)

12/10/2021 07:34 pm - Alexis Bienvenlie

Pouvez-vous joindre un fichier source complet minimal montrant le probléme ?

12/10/2021 07:47 pm - Jean-Philippe Bartier
- File simple.tex added

Voici le fichier minimaliste en question.

12/10/2021 07:48 pm - Jean-Philippe Bartier
- File 0010.pdf added

et ce que me donne une copie corrigée

12/10/2021 11:22 pm - Alexis Bienveniie
Bon en effet j'ai vraiment fait n'importe quoi, y compris en écrivant le test qui servait a voir si ga marche...
Ca devrait étre corrigé avec la nouvelle version de ce soir.

Merci pour votre retour !

05/03/2022 03:49 pm - Alexis Bienveniie

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Files
simple.tex 1.3kB 12/10/2021 Jean-Philippe Bartier
0010.pdf 32.6 kB 12/10/2021 Jean-Philippe Bartier
